package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.TvuePermission;
import com.gyee.frame.model.auto.TvuePermissionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TvuePermissionMapper {

        long countByExample(TvuePermissionExample example);

        int deleteByExample(TvuePermissionExample example);

        int deleteByPrimaryKey(String id);

        int insert(TvuePermission record);

        int insertSelective(TvuePermission record);

        List<TvuePermission> selectByExample(TvuePermissionExample example);

        TvuePermission selectByPrimaryKey(String id);

        int updateByExampleSelective(@Param("record") TvuePermission record, @Param("example") TvuePermissionExample example);

        int updateByExample(@Param("record") TvuePermission record, @Param("example") TvuePermissionExample example);

        int updateByPrimaryKeySelective(TvuePermission record);

        int updateByPrimaryKey(TvuePermission record);

        /**
         * 根据用户id查询出用户的所有权限
         * @param userId
         * @return
         */
        List<TvuePermission> findByAdminUserId(String userId);
    }
